_The following document is, at once, a:_
* _A thought experiment, in which one constraint is removed and the organization of a new entity is proposed. Its legal classification is not formally specified; it could be an S-Corp, a 501c3, etc; perhaps even an entity which has not been specified statuatorily. The details are purposefully unspecified for our purposes._
* _An outline of guiding principles for the creation of such an entity; where no ethical compromises are made._
* _An exploration of the limits in place in our society for entities of this type; others surely exist and bear similarilities: the Electronic Frontier Foundation, the Mozilla Foundation and its corporate sibling, the Free Software Foundation/GNU, etc._

# Dreams, without regard to feasibility.
The author of this essay believes that one, non-exclusive, way to explore the seemingly-impossible is to remove one "roadblock", without regard to the difficulty or even feasibility of such a task.

Obviously, not all "roadblocks" are created equal; for example, violating some fundamental law of physics is not in the same class as changing legislation or altering a societal norm.

It is changes in the latter category that are within our power to change, mitigate, look at with a fundamentally different perspective, or eschew entirely.

For the purposes of this document, the ignored constraint is _funding_. The details are not important for this document (but will be become important later)

# Our Dream
A engineers will be small teams, respected for their craft. 

## Professonal courtesy and respect

In as much as this heading title can be self-explanatory, it is. Further details will be explained in out CoC (Code Of Conduct).

### Modern techniques which shall not be tolerated
No psychological manipulation, personality tests, or any other cargo cult or scientifically-questionable practices allowed (non-exhaustively: Myers-Briggs and variants thereof, personality profiles, etc.) No such job description shall exist; engineers will be able to work as a team and perform, or not. No hidden incentives or manipulation will make the difference.

### Techniques, modern or timeless, which shall be respected
Professionals will be respected for their crafts. Some will have strengths in organization; some will excel in raw code production; others will excel in the architecture of such code; and many others will rise above others in the "philosophy of code", sharing how they learn and they techniques they have learned to use to transfer skills..

Professionals are trusted and valued for their opinions. All proposals and objections given due time. 


### The harm of meritocracy
"Meritocracy" and hierarchies avoided wherever possible. The former is almost always an illusion or falsehood for justifying the latter. This may seem contrary to so much training that we have accepted without question or examination. These questions are vital. Are our skills static? Does the mere concept of neurodiversity exist? If so, introspection is in order.

### Free, Libre, and Open Source Software
Work is FLOSS. If the concepts and history of free, libre, and open source software must be explained, then we shall be pleased to do so. These principles, are, however, non-negotiable. Many have learned to support the partners are families of organizations while adhering with what many of us feel must be the future of software and embedded development. Similarly, we feel IP law surrounding patents is fundamentally corrupt; in the United States in particular, the Constitutional requirements for patents have become the precise opposite of their stated intention. No longer are they progressing the useful arts; they are deliberately inhibiting them, enabling gate-keeping whenever possible. Should we be able to afford a legal team, one of their responsibilities will be the restoration of the original intent of Intellectual Property Law, and coordination with as many other organizations as possible to accomplish to obvious and virtuous goal.


### Venue, at-will and contracted employment terms
Regardless of locality, employment is not at-will. Contracts for full-time, salaried employment are transparent, standard across the organization.

Regardless of payment or other consideration, our founding principles are non-negotiable. This includes requiring the right to due process for all partners; binding arbitration is strictly forbidden.

While our governance resembles what has been termed "triple bottom line", the order is significant. While other organizations leave the "third", or least important (i.e., impact on society and the biosphere) last, this "bottom line" is our first item, the most important, and the largest external factor in our organization. Simply, their "third" is our "first".

However it shall be done, employment shall be fair, contracted, predictable, and take be organized in a legal venue which respects these principles.

# Production

Our products must, and will always be, of the highest quality. Our products consist of, but are not limited to, our software and supporting systems; including consultation for organizational improvement, maintenance of existing systems, and creation of wholly-new ("green field") products.

Our belief in the quality of our products comes from our novel organizational structure and our devotion to continuous improvement of not just technology, but of ethics; far above and beyond statutory and professional association requirements.

The previous statement bears repeating, as it is a core value.

>**Our belief in the quality of our products comes from our novel organizational structure and our devotion to continuous improvement of not just technology, but of ethics; far above and beyond statutory and professional association requirements.**

Id est, we shall exceed professional and legal expectations where they do not conflict with legal expectations. For example: ethical considerations shall always take precendence. If practicing in a jurisdiction where legal requirements conflict with our ethical code of conduct, we will always choose the ethical route, even if that means "leaving money on the table". The presents a constraint on paragraph \paragraph 1; we cannot accept governance where outside interests can overrule an ethical choice in favor of one that could "make" more money at the expense of our values.

# Training

We believe that within every intellectually sound human being, and even many who are not intellectually sound, lies the latent potential for what popular media has termed, somewhat simplistically and inaccurately, genius.

We, as a civilization or society, are "missing" a great many minds. It will be a mission of our organization to give these individuals a "chance", if not more than one". The gifts that these people bring will make use stronger, unique, and immune to the current wave of quantifications of minds. While is has been remarked many times by a great many thinkers that "knowing you limitations" is a powerful thing, ignoring these limitations is also useful. We are all capable.